跳到主要内容

Entity Subscription Endpoints

Subscribe to entities (tasks, projects, etc.) to receive notifications when changes occur.

Base Path

/api/entity-subscription

Endpoints

List Subscriptions

GET /api/entity-subscription
Authorization: Bearer {token}

Create Subscription

POST /api/entity-subscription
Authorization: Bearer {token}
Content-Type: application/json

{
"entity": "Task",
"entityId": "task-uuid",
"type": "COMMENT"
}

Delete Subscription

DELETE /api/entity-subscription/:id
Authorization: Bearer {token}

Subscription Types

TypeNotification Trigger
COMMENTNew comment on entity
STATUSStatus change
ASSIGNMENTAssignment change
ALLAll changes

Data Model

interface IEntitySubscription {
id: string;
entity: string;
entityId: string;
type: EntitySubscriptionTypeEnum;
employeeId: string;
organizationId: string;
tenantId: string;
}